--- old/usr/src/uts/common/cpr/cpr_dump.c	2015-11-24 09:34:44.016443155 -0500
+++ new/usr/src/uts/common/cpr/cpr_dump.c	2015-11-24 09:34:44.020293335 -0500
@@ -662,7 +662,7 @@
  * Count pages within each kernel segment; call cpr_sparse_seg_check()
  * to find out whether a sparsely filled segment needs special
  * treatment (e.g. kvseg).
- * Todo: A "SEGOP_CPR" like SEGOP_DUMP should be introduced, the cpr
+ * Todo: A "segop_cpr" like segop_dump should be introduced, the cpr
  *       module shouldn't need to know segment details like if it is
  *       sparsely filled or not (makes kseg_table obsolete).
  */
--- old/usr/src/uts/common/exec/elf/elf.c	2015-11-24 09:34:44.150050532 -0500
+++ new/usr/src/uts/common/exec/elf/elf.c	2015-11-24 09:34:44.153627468 -0500
@@ -1483,7 +1483,7 @@
 		 * something fishy going on so we ignore this segment.
 		 */
 		if (seg->s_ops != &segvn_ops ||
-		    SEGOP_GETVP(seg, seg->s_base, &mvp) != 0 ||
+		    segop_getvp(seg, seg->s_base, &mvp) != 0 ||
 		    mvp == lastvp || mvp == NULL || mvp->v_type != VREG ||
 		    (segsize = pr_getsegsize(seg, 1)) == 0)
 			continue;
@@ -1914,7 +1914,7 @@
 			/*
 			 * Figure out which mappings to include in the core.
 			 */
-			type = SEGOP_GETTYPE(seg, saddr);
+			type = segop_gettype(seg, saddr);
 
 			if (saddr == stkbase && size == stksize) {
 				if (!(content & CC_CONTENT_STACK))
@@ -1941,7 +1941,7 @@
 					if (!(content & CC_CONTENT_SHM))
 						goto exclude;
 
-				} else if (SEGOP_GETVP(seg, seg->s_base,
+				} else if (segop_getvp(seg, seg->s_base,
 				    &mvp) != 0 || mvp == NULL ||
 				    mvp->v_type != VREG) {
 					if (!(content & CC_CONTENT_SHANON))
@@ -1952,7 +1952,7 @@
 						goto exclude;
 				}
 
-			} else if (SEGOP_GETVP(seg, seg->s_base, &mvp) != 0 ||
+			} else if (segop_getvp(seg, seg->s_base, &mvp) != 0 ||
 			    mvp == NULL || mvp->v_type != VREG) {
 				if (!(content & CC_CONTENT_ANON))
 					goto exclude;
--- old/usr/src/uts/common/fs/nfs/nfs3_vnops.c	2015-11-24 09:34:44.310718909 -0500
+++ new/usr/src/uts/common/fs/nfs/nfs3_vnops.c	2015-11-24 09:34:44.314785103 -0500
@@ -5575,8 +5575,8 @@
 	/*
 	 * The way that the address space of this process deletes its mapping
 	 * of this file is via the following call chains:
-	 * - as_free()->SEGOP_UNMAP()/segvn_unmap()->VOP_DELMAP()/nfs3_delmap()
-	 * - as_unmap()->SEGOP_UNMAP()/segvn_unmap()->VOP_DELMAP()/nfs3_delmap()
+	 * - as_free()->segop_unmap()/segvn_unmap()->VOP_DELMAP()/nfs3_delmap()
+	 * - as_unmap()->segop_unmap()/segvn_unmap()->VOP_DELMAP()/nfs3_delmap()
 	 *
 	 * With the use of address space callbacks we are allowed to drop the
 	 * address space lock, a_lock, while executing the NFS operations that
--- old/usr/src/uts/common/fs/nfs/nfs4_vnops.c	2015-11-24 09:34:44.572599005 -0500
+++ new/usr/src/uts/common/fs/nfs/nfs4_vnops.c	2015-11-24 09:34:44.576809249 -0500
@@ -11059,8 +11059,8 @@
 	/*
 	 * The way that the address space of this process deletes its mapping
 	 * of this file is via the following call chains:
-	 * - as_free()->SEGOP_UNMAP()/segvn_unmap()->VOP_DELMAP()/nfs4_delmap()
-	 * - as_unmap()->SEGOP_UNMAP()/segvn_unmap()->VOP_DELMAP()/nfs4_delmap()
+	 * - as_free()->segop_unmap()/segvn_unmap()->VOP_DELMAP()/nfs4_delmap()
+	 * - as_unmap()->segop_unmap()/segvn_unmap()->VOP_DELMAP()/nfs4_delmap()
 	 *
 	 * With the use of address space callbacks we are allowed to drop the
 	 * address space lock, a_lock, while executing the NFS operations that
--- old/usr/src/uts/common/fs/nfs/nfs_vnops.c	2015-11-24 09:34:45.031810679 -0500
+++ new/usr/src/uts/common/fs/nfs/nfs_vnops.c	2015-11-24 09:34:45.035901941 -0500
@@ -4672,8 +4672,8 @@
 	/*
 	 * The way that the address space of this process deletes its mapping
 	 * of this file is via the following call chains:
-	 * - as_free()->SEGOP_UNMAP()/segvn_unmap()->VOP_DELMAP()/nfs_delmap()
-	 * - as_unmap()->SEGOP_UNMAP()/segvn_unmap()->VOP_DELMAP()/nfs_delmap()
+	 * - as_free()->segop_unmap()/segvn_unmap()->VOP_DELMAP()/nfs_delmap()
+	 * - as_unmap()->segop_unmap()/segvn_unmap()->VOP_DELMAP()/nfs_delmap()
 	 *
 	 * With the use of address space callbacks we are allowed to drop the
 	 * address space lock, a_lock, while executing the NFS operations that
--- old/usr/src/uts/common/fs/proc/prioctl.c	2015-11-24 09:34:45.253793303 -0500
+++ new/usr/src/uts/common/fs/proc/prioctl.c	2015-11-24 09:34:45.257527441 -0500
@@ -3146,7 +3146,7 @@
 		seg = as_segat(as, va);
 		if (seg != NULL &&
 		    seg->s_ops == &segvn_ops &&
-		    SEGOP_GETVP(seg, va, &xvp) == 0 &&
+		    segop_getvp(seg, va, &xvp) == 0 &&
 		    xvp != NULL &&
 		    xvp->v_type == VREG) {
 			VN_HOLD(xvp);
@@ -3551,7 +3551,7 @@
 
 			mp->pr_vaddr = saddr;
 			mp->pr_size = naddr - saddr;
-			mp->pr_off = SEGOP_GETOFFSET(seg, saddr);
+			mp->pr_off = segop_getoffset(seg, saddr);
 			mp->pr_mflags = 0;
 			if (prot & PROT_READ)
 				mp->pr_mflags |= MA_READ;
@@ -3559,7 +3559,7 @@
 				mp->pr_mflags |= MA_WRITE;
 			if (prot & PROT_EXEC)
 				mp->pr_mflags |= MA_EXEC;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+			if (segop_gettype(seg, saddr) & MAP_SHARED)
 				mp->pr_mflags |= MA_SHARED;
 			if (seg == brkseg)
 				mp->pr_mflags |= MA_BREAK;
@@ -3611,7 +3611,7 @@
 
 			mp->pr_vaddr = (caddr32_t)(uintptr_t)saddr;
 			mp->pr_size = (size32_t)(naddr - saddr);
-			mp->pr_off = (off32_t)SEGOP_GETOFFSET(seg, saddr);
+			mp->pr_off = (off32_t)segop_getoffset(seg, saddr);
 			mp->pr_mflags = 0;
 			if (prot & PROT_READ)
 				mp->pr_mflags |= MA_READ;
@@ -3619,7 +3619,7 @@
 				mp->pr_mflags |= MA_WRITE;
 			if (prot & PROT_EXEC)
 				mp->pr_mflags |= MA_EXEC;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+			if (segop_gettype(seg, saddr) & MAP_SHARED)
 				mp->pr_mflags |= MA_SHARED;
 			if (seg == brkseg)
 				mp->pr_mflags |= MA_BREAK;
@@ -3753,7 +3753,7 @@
 			 * the presence of asychronously flushed pages or
 			 * mapped files whose sizes are changing.
 			 * page_exists() may be called indirectly from
-			 * pr_getprot() by a SEGOP_INCORE() routine.
+			 * pr_getprot() by a segop_incore() routine.
 			 * If this happens we need to make sure we don't
 			 * overrun the buffer whose size we computed based
 			 * on the initial iteration through the segments.
@@ -3779,7 +3779,7 @@
 			php->pr_npage += npage;
 			pmp->pr_vaddr = saddr;
 			pmp->pr_npage = npage;
-			pmp->pr_off = SEGOP_GETOFFSET(seg, saddr);
+			pmp->pr_off = segop_getoffset(seg, saddr);
 			pmp->pr_mflags = 0;
 			if (prot & PROT_READ)
 				pmp->pr_mflags |= MA_READ;
@@ -3787,7 +3787,7 @@
 				pmp->pr_mflags |= MA_WRITE;
 			if (prot & PROT_EXEC)
 				pmp->pr_mflags |= MA_EXEC;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+			if (segop_gettype(seg, saddr) & MAP_SHARED)
 				pmp->pr_mflags |= MA_SHARED;
 			pmp->pr_pagesize = PAGESIZE;
 			hat_getstat(as, saddr, len, hatid,
@@ -3860,7 +3860,7 @@
 			 * the presence of asychronously flushed pages or
 			 * mapped files whose sizes are changing.
 			 * page_exists() may be called indirectly from
-			 * pr_getprot() by a SEGOP_INCORE() routine.
+			 * pr_getprot() by a segop_incore() routine.
 			 * If this happens we need to make sure we don't
 			 * overrun the buffer whose size we computed based
 			 * on the initial iteration through the segments.
@@ -3886,7 +3886,7 @@
 			php->pr_npage += npage;
 			pmp->pr_vaddr = (uint32_t)(uintptr_t)saddr;
 			pmp->pr_npage = (uint32_t)npage;
-			pmp->pr_off = (int32_t)SEGOP_GETOFFSET(seg, saddr);
+			pmp->pr_off = (int32_t)segop_getoffset(seg, saddr);
 			pmp->pr_mflags = 0;
 			if (prot & PROT_READ)
 				pmp->pr_mflags |= MA_READ;
@@ -3894,7 +3894,7 @@
 				pmp->pr_mflags |= MA_WRITE;
 			if (prot & PROT_EXEC)
 				pmp->pr_mflags |= MA_EXEC;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+			if (segop_gettype(seg, saddr) & MAP_SHARED)
 				pmp->pr_mflags |= MA_SHARED;
 			pmp->pr_pagesize = PAGESIZE;
 			hat_getstat(as, saddr, len, hatid,
--- old/usr/src/uts/common/fs/proc/prsubr.c	2015-11-24 09:34:45.453912117 -0500
+++ new/usr/src/uts/common/fs/proc/prsubr.c	2015-11-24 09:34:45.457835624 -0500
@@ -1483,7 +1483,7 @@
 		addr += p->p_brksize - 1;
 	seg = as_segat(p->p_as, addr);
 	if (seg != NULL && seg->s_ops == &segvn_ops &&
-	    (SEGOP_GETVP(seg, seg->s_base, &vp) != 0 || vp == NULL))
+	    (segop_getvp(seg, seg->s_base, &vp) != 0 || vp == NULL))
 		return (seg);
 	return (NULL);
 }
@@ -1648,7 +1648,7 @@
 
 			mp->pr_vaddr = (uintptr_t)saddr;
 			mp->pr_size = naddr - saddr;
-			mp->pr_offset = SEGOP_GETOFFSET(seg, saddr);
+			mp->pr_offset = segop_getoffset(seg, saddr);
 			mp->pr_mflags = 0;
 			if (prot & PROT_READ)
 				mp->pr_mflags |= MA_READ;
@@ -1656,13 +1656,13 @@
 				mp->pr_mflags |= MA_WRITE;
 			if (prot & PROT_EXEC)
 				mp->pr_mflags |= MA_EXEC;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+			if (segop_gettype(seg, saddr) & MAP_SHARED)
 				mp->pr_mflags |= MA_SHARED;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_NORESERVE)
+			if (segop_gettype(seg, saddr) & MAP_NORESERVE)
 				mp->pr_mflags |= MA_NORESERVE;
 			if (seg->s_ops == &segspt_shmops ||
 			    (seg->s_ops == &segvn_ops &&
-			    (SEGOP_GETVP(seg, saddr, &vp) != 0 || vp == NULL)))
+			    (segop_getvp(seg, saddr, &vp) != 0 || vp == NULL)))
 				mp->pr_mflags |= MA_ANON;
 			if (seg == brkseg)
 				mp->pr_mflags |= MA_BREAK;
@@ -1688,7 +1688,7 @@
 			 */
 			vattr.va_mask = AT_FSID|AT_NODEID;
 			if (seg->s_ops == &segvn_ops &&
-			    SEGOP_GETVP(seg, saddr, &vp) == 0 &&
+			    segop_getvp(seg, saddr, &vp) == 0 &&
 			    vp != NULL && vp->v_type == VREG &&
 			    VOP_GETATTR(vp, &vattr, 0, CRED(), NULL) == 0) {
 				if (vp == p->p_exec)
@@ -1759,7 +1759,7 @@
 
 			mp->pr_vaddr = (caddr32_t)(uintptr_t)saddr;
 			mp->pr_size = (size32_t)(naddr - saddr);
-			mp->pr_offset = SEGOP_GETOFFSET(seg, saddr);
+			mp->pr_offset = segop_getoffset(seg, saddr);
 			mp->pr_mflags = 0;
 			if (prot & PROT_READ)
 				mp->pr_mflags |= MA_READ;
@@ -1767,13 +1767,13 @@
 				mp->pr_mflags |= MA_WRITE;
 			if (prot & PROT_EXEC)
 				mp->pr_mflags |= MA_EXEC;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+			if (segop_gettype(seg, saddr) & MAP_SHARED)
 				mp->pr_mflags |= MA_SHARED;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_NORESERVE)
+			if (segop_gettype(seg, saddr) & MAP_NORESERVE)
 				mp->pr_mflags |= MA_NORESERVE;
 			if (seg->s_ops == &segspt_shmops ||
 			    (seg->s_ops == &segvn_ops &&
-			    (SEGOP_GETVP(seg, saddr, &vp) != 0 || vp == NULL)))
+			    (segop_getvp(seg, saddr, &vp) != 0 || vp == NULL)))
 				mp->pr_mflags |= MA_ANON;
 			if (seg == brkseg)
 				mp->pr_mflags |= MA_BREAK;
@@ -1800,7 +1800,7 @@
 			 */
 			vattr.va_mask = AT_FSID|AT_NODEID;
 			if (seg->s_ops == &segvn_ops &&
-			    SEGOP_GETVP(seg, saddr, &vp) == 0 &&
+			    segop_getvp(seg, saddr, &vp) == 0 &&
 			    vp != NULL && vp->v_type == VREG &&
 			    VOP_GETATTR(vp, &vattr, 0, CRED(), NULL) == 0) {
 				if (vp == p->p_exec)
@@ -1953,7 +1953,7 @@
 			 * the presence of asychronously flushed pages or
 			 * mapped files whose sizes are changing.
 			 * page_exists() may be called indirectly from
-			 * pr_getprot() by a SEGOP_INCORE() routine.
+			 * pr_getprot() by a segop_incore() routine.
 			 * If this happens we need to make sure we don't
 			 * overrun the buffer whose size we computed based
 			 * on the initial iteration through the segments.
@@ -1979,7 +1979,7 @@
 			php->pr_npage += npage;
 			pmp->pr_vaddr = (uintptr_t)saddr;
 			pmp->pr_npage = npage;
-			pmp->pr_offset = SEGOP_GETOFFSET(seg, saddr);
+			pmp->pr_offset = segop_getoffset(seg, saddr);
 			pmp->pr_mflags = 0;
 			if (prot & PROT_READ)
 				pmp->pr_mflags |= MA_READ;
@@ -1987,13 +1987,13 @@
 				pmp->pr_mflags |= MA_WRITE;
 			if (prot & PROT_EXEC)
 				pmp->pr_mflags |= MA_EXEC;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+			if (segop_gettype(seg, saddr) & MAP_SHARED)
 				pmp->pr_mflags |= MA_SHARED;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_NORESERVE)
+			if (segop_gettype(seg, saddr) & MAP_NORESERVE)
 				pmp->pr_mflags |= MA_NORESERVE;
 			if (seg->s_ops == &segspt_shmops ||
 			    (seg->s_ops == &segvn_ops &&
-			    (SEGOP_GETVP(seg, saddr, &vp) != 0 || vp == NULL)))
+			    (segop_getvp(seg, saddr, &vp) != 0 || vp == NULL)))
 				pmp->pr_mflags |= MA_ANON;
 			if (seg->s_ops == &segspt_shmops)
 				pmp->pr_mflags |= MA_ISM | MA_SHM;
@@ -2003,7 +2003,7 @@
 			 */
 			vattr.va_mask = AT_FSID|AT_NODEID;
 			if (seg->s_ops == &segvn_ops &&
-			    SEGOP_GETVP(seg, saddr, &vp) == 0 &&
+			    segop_getvp(seg, saddr, &vp) == 0 &&
 			    vp != NULL && vp->v_type == VREG &&
 			    VOP_GETATTR(vp, &vattr, 0, CRED(), NULL) == 0) {
 				if (vp == p->p_exec)
@@ -2100,7 +2100,7 @@
 			 * the presence of asychronously flushed pages or
 			 * mapped files whose sizes are changing.
 			 * page_exists() may be called indirectly from
-			 * pr_getprot() by a SEGOP_INCORE() routine.
+			 * pr_getprot() by a segop_incore() routine.
 			 * If this happens we need to make sure we don't
 			 * overrun the buffer whose size we computed based
 			 * on the initial iteration through the segments.
@@ -2126,7 +2126,7 @@
 			php->pr_npage += npage;
 			pmp->pr_vaddr = (caddr32_t)(uintptr_t)saddr;
 			pmp->pr_npage = (size32_t)npage;
-			pmp->pr_offset = SEGOP_GETOFFSET(seg, saddr);
+			pmp->pr_offset = segop_getoffset(seg, saddr);
 			pmp->pr_mflags = 0;
 			if (prot & PROT_READ)
 				pmp->pr_mflags |= MA_READ;
@@ -2134,13 +2134,13 @@
 				pmp->pr_mflags |= MA_WRITE;
 			if (prot & PROT_EXEC)
 				pmp->pr_mflags |= MA_EXEC;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+			if (segop_gettype(seg, saddr) & MAP_SHARED)
 				pmp->pr_mflags |= MA_SHARED;
-			if (SEGOP_GETTYPE(seg, saddr) & MAP_NORESERVE)
+			if (segop_gettype(seg, saddr) & MAP_NORESERVE)
 				pmp->pr_mflags |= MA_NORESERVE;
 			if (seg->s_ops == &segspt_shmops ||
 			    (seg->s_ops == &segvn_ops &&
-			    (SEGOP_GETVP(seg, saddr, &vp) != 0 || vp == NULL)))
+			    (segop_getvp(seg, saddr, &vp) != 0 || vp == NULL)))
 				pmp->pr_mflags |= MA_ANON;
 			if (seg->s_ops == &segspt_shmops)
 				pmp->pr_mflags |= MA_ISM | MA_SHM;
@@ -2150,7 +2150,7 @@
 			 */
 			vattr.va_mask = AT_FSID|AT_NODEID;
 			if (seg->s_ops == &segvn_ops &&
-			    SEGOP_GETVP(seg, saddr, &vp) == 0 &&
+			    segop_getvp(seg, saddr, &vp) == 0 &&
 			    vp != NULL && vp->v_type == VREG &&
 			    VOP_GETATTR(vp, &vattr, 0, CRED(), NULL) == 0) {
 				if (vp == p->p_exec)
@@ -3328,7 +3328,7 @@
 			if ((pwp->wp_prot != prot ||
 			    (pwp->wp_flags & WP_NOWATCH)) &&
 			    (seg = as_segat(as, addr)) != NULL) {
-				err = SEGOP_SETPROT(seg, addr, PAGESIZE, prot);
+				err = segop_setprot(seg, addr, PAGESIZE, prot);
 				if (err == IE_RETRY) {
 					ASSERT(retrycnt == 0);
 					retrycnt++;
@@ -3434,7 +3434,7 @@
 		vaddr = pwp->wp_vaddr;
 		if (pwp->wp_oprot == 0 &&
 		    (seg = as_segat(as, vaddr)) != NULL) {
-			SEGOP_GETPROT(seg, vaddr, 0, &prot);
+			(void) segop_getprot(seg, vaddr, 0, &prot);
 			pwp->wp_oprot = (uchar_t)prot;
 			pwp->wp_prot = (uchar_t)prot;
 		}
@@ -3640,7 +3640,7 @@
 		 * INCORE cleverly has different semantics than GETPROT:
 		 * it returns info on pages up to but NOT including addr + len.
 		 */
-		SEGOP_INCORE(seg, addr, len, pagev->pg_incore);
+		(void) segop_incore(seg, addr, len, pagev->pg_incore);
 		pn = pagev->pg_pnbase;
 
 		do {
@@ -3668,7 +3668,7 @@
 	 * first byte of the page just past the end of what we want.
 	 */
 out:
-	SEGOP_GETPROT(seg, saddr, len - 1, pagev->pg_protv);
+	(void) segop_getprot(seg, saddr, len - 1, pagev->pg_protv);
 	return (addr);
 }
 
@@ -3789,12 +3789,12 @@
 
 		vattr.va_mask = AT_SIZE;
 
-		if (SEGOP_GETVP(seg, seg->s_base, &vp) == 0 &&
+		if (segop_getvp(seg, seg->s_base, &vp) == 0 &&
 		    vp != NULL && vp->v_type == VREG &&
 		    VOP_GETATTR(vp, &vattr, 0, CRED(), NULL) == 0) {
 
 			u_offset_t fsize = vattr.va_size;
-			u_offset_t offset = SEGOP_GETOFFSET(seg, seg->s_base);
+			u_offset_t offset = segop_getoffset(seg, seg->s_base);
 
 			if (fsize < offset)
 				fsize = 0;
@@ -3824,7 +3824,7 @@
 	 * MAP_SHARED nor MAP_PRIVATE.
 	 */
 	if (seg->s_ops == &segdev_ops &&
-	    ((SEGOP_GETTYPE(seg, seg->s_base) &
+	    ((segop_gettype(seg, seg->s_base) &
 	    (MAP_SHARED | MAP_PRIVATE)) == 0))
 		return (0);
 
@@ -4055,7 +4055,7 @@
 
 				mp->pr_vaddr = (uintptr_t)saddr;
 				mp->pr_size = naddr - saddr;
-				mp->pr_offset = SEGOP_GETOFFSET(seg, saddr);
+				mp->pr_offset = segop_getoffset(seg, saddr);
 				mp->pr_mflags = 0;
 				if (prot & PROT_READ)
 					mp->pr_mflags |= MA_READ;
@@ -4063,13 +4063,13 @@
 					mp->pr_mflags |= MA_WRITE;
 				if (prot & PROT_EXEC)
 					mp->pr_mflags |= MA_EXEC;
-				if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+				if (segop_gettype(seg, saddr) & MAP_SHARED)
 					mp->pr_mflags |= MA_SHARED;
-				if (SEGOP_GETTYPE(seg, saddr) & MAP_NORESERVE)
+				if (segop_gettype(seg, saddr) & MAP_NORESERVE)
 					mp->pr_mflags |= MA_NORESERVE;
 				if (seg->s_ops == &segspt_shmops ||
 				    (seg->s_ops == &segvn_ops &&
-				    (SEGOP_GETVP(seg, saddr, &vp) != 0 ||
+				    (segop_getvp(seg, saddr, &vp) != 0 ||
 				    vp == NULL)))
 					mp->pr_mflags |= MA_ANON;
 				if (seg == brkseg)
@@ -4092,7 +4092,7 @@
 				mp->pr_dev = PRNODEV;
 				vattr.va_mask = AT_FSID|AT_NODEID;
 				if (seg->s_ops == &segvn_ops &&
-				    SEGOP_GETVP(seg, saddr, &vp) == 0 &&
+				    segop_getvp(seg, saddr, &vp) == 0 &&
 				    vp != NULL && vp->v_type == VREG &&
 				    VOP_GETATTR(vp, &vattr, 0, CRED(),
 				    NULL) == 0) {
@@ -4124,7 +4124,8 @@
 				    PAGESHIFT;
 				parr = kmem_zalloc(npages, KM_SLEEP);
 
-				SEGOP_INCORE(seg, saddr, naddr - saddr, parr);
+				(void) segop_incore(seg, saddr, naddr - saddr,
+				    parr);
 
 				for (pagenum = 0; pagenum < npages; pagenum++) {
 					if (parr[pagenum] & SEG_PAGE_INCORE)
@@ -4239,7 +4240,7 @@
 
 				mp->pr_vaddr = (caddr32_t)(uintptr_t)saddr;
 				mp->pr_size = (size32_t)(naddr - saddr);
-				mp->pr_offset = SEGOP_GETOFFSET(seg, saddr);
+				mp->pr_offset = segop_getoffset(seg, saddr);
 				mp->pr_mflags = 0;
 				if (prot & PROT_READ)
 					mp->pr_mflags |= MA_READ;
@@ -4247,13 +4248,13 @@
 					mp->pr_mflags |= MA_WRITE;
 				if (prot & PROT_EXEC)
 					mp->pr_mflags |= MA_EXEC;
-				if (SEGOP_GETTYPE(seg, saddr) & MAP_SHARED)
+				if (segop_gettype(seg, saddr) & MAP_SHARED)
 					mp->pr_mflags |= MA_SHARED;
-				if (SEGOP_GETTYPE(seg, saddr) & MAP_NORESERVE)
+				if (segop_gettype(seg, saddr) & MAP_NORESERVE)
 					mp->pr_mflags |= MA_NORESERVE;
 				if (seg->s_ops == &segspt_shmops ||
 				    (seg->s_ops == &segvn_ops &&
-				    (SEGOP_GETVP(seg, saddr, &vp) != 0 ||
+				    (segop_getvp(seg, saddr, &vp) != 0 ||
 				    vp == NULL)))
 					mp->pr_mflags |= MA_ANON;
 				if (seg == brkseg)
@@ -4276,7 +4277,7 @@
 				mp->pr_dev = PRNODEV32;
 				vattr.va_mask = AT_FSID|AT_NODEID;
 				if (seg->s_ops == &segvn_ops &&
-				    SEGOP_GETVP(seg, saddr, &vp) == 0 &&
+				    segop_getvp(seg, saddr, &vp) == 0 &&
 				    vp != NULL && vp->v_type == VREG &&
 				    VOP_GETATTR(vp, &vattr, 0, CRED(),
 				    NULL) == 0) {
@@ -4309,7 +4310,8 @@
 				    PAGESHIFT;
 				parr = kmem_zalloc(npages, KM_SLEEP);
 
-				SEGOP_INCORE(seg, saddr, naddr - saddr, parr);
+				(void) segop_incore(seg, saddr, naddr - saddr,
+				    parr);
 
 				for (pagenum = 0; pagenum < npages; pagenum++) {
 					if (parr[pagenum] & SEG_PAGE_INCORE)
--- old/usr/src/uts/common/fs/proc/prvnops.c	2015-11-24 09:34:45.679109315 -0500
+++ new/usr/src/uts/common/fs/proc/prvnops.c	2015-11-24 09:34:45.683195678 -0500
@@ -3708,7 +3708,7 @@
 		 */
 		vattr.va_mask = AT_FSID|AT_NODEID;
 		if (seg->s_ops == &segvn_ops &&
-		    SEGOP_GETVP(seg, seg->s_base, &vp) == 0 &&
+		    segop_getvp(seg, seg->s_base, &vp) == 0 &&
 		    vp != NULL && vp->v_type == VREG &&
 		    VOP_GETATTR(vp, &vattr, 0, CRED(), NULL) == 0) {
 			char name[64];
@@ -4159,7 +4159,7 @@
 					 */
 					vattr.va_mask = AT_FSID|AT_NODEID;
 					if (seg->s_ops == &segvn_ops &&
-					    SEGOP_GETVP(seg, seg->s_base, &vp)
+					    segop_getvp(seg, seg->s_base, &vp)
 					    == 0 &&
 					    vp != NULL && vp->v_type == VREG &&
 					    VOP_GETATTR(vp, &vattr, 0, CRED(),
@@ -4860,7 +4860,7 @@
 	do {
 		vattr.va_mask = AT_FSID|AT_NODEID;
 		if (seg->s_ops == &segvn_ops &&
-		    SEGOP_GETVP(seg, seg->s_base, &vp) == 0 &&
+		    segop_getvp(seg, seg->s_base, &vp) == 0 &&
 		    vp != NULL && vp->v_type == VREG &&
 		    VOP_GETATTR(vp, &vattr, 0, CRED(), NULL) == 0) {
 			for (i = 0; i < nentries; i++)
--- old/usr/src/uts/common/io/mem.c	2015-11-24 09:34:45.923649117 -0500
+++ new/usr/src/uts/common/io/mem.c	2015-11-24 09:34:45.927357307 -0500
@@ -290,7 +290,7 @@
 
 	AS_LOCK_ENTER(as, &as->a_lock, RW_READER);
 	seg = as_segat(as, va);
-	i = (seg != NULL)? SEGOP_CAPABLE(seg, S_CAPABILITY_NOMINFLT) : 0;
+	i = (seg != NULL)? segop_capable(seg, S_CAPABILITY_NOMINFLT) : 0;
 	AS_LOCK_EXIT(as, &as->a_lock);
 
 	return (i);
--- old/usr/src/uts/common/os/dumpsubr.c	2015-11-24 09:34:46.058541584 -0500
+++ new/usr/src/uts/common/os/dumpsubr.c	2015-11-24 09:34:46.062256097 -0500
@@ -1400,7 +1400,7 @@
 
 /*
  * Dump the <as, va, pfn> information for a given address space.
- * SEGOP_DUMP() will call dump_addpage() for each page in the segment.
+ * segop_dump() will call dump_addpage() for each page in the segment.
  */
 static void
 dump_as(struct as *as)
@@ -1413,7 +1413,7 @@
 			break;
 		if (seg->s_ops == NULL)
 			continue;
-		SEGOP_DUMP(seg);
+		segop_dump(seg);
 	}
 	AS_LOCK_EXIT(as, &as->a_lock);
 
--- old/usr/src/uts/common/os/exec.c	2015-11-24 09:34:46.235584784 -0500
+++ new/usr/src/uts/common/os/exec.c	2015-11-24 09:34:46.239252250 -0500
@@ -1276,8 +1276,8 @@
 			AS_LOCK_ENTER(as, &as->a_lock, RW_READER);
 			seg = as_segat(curproc->p_as, (caddr_t)end);
 			if (seg != NULL)
-				SEGOP_GETPROT(seg, (caddr_t)end, zfoddiff - 1,
-				    &zprot);
+				(void) segop_getprot(seg, (caddr_t)end,
+				    zfoddiff - 1, &zprot);
 			AS_LOCK_EXIT(as, &as->a_lock);
 
 			if (seg != NULL && (zprot & PROT_WRITE) == 0) {
--- old/usr/src/uts/common/os/lgrp.c	2015-11-24 09:34:46.393281094 -0500
+++ new/usr/src/uts/common/os/lgrp.c	2015-11-24 09:34:46.397101716 -0500
@@ -3508,7 +3508,7 @@
 	/*
 	 * This is for binary compatibility to protect against third party
 	 * segment drivers which haven't recompiled to allow for
-	 * SEGOP_GETPOLICY()
+	 * segop_getpolicy()
 	 */
 	if (seg->s_ops != &segvn_ops && seg->s_ops != &segspt_ops &&
 	    seg->s_ops != &segspt_shmops)
@@ -3516,7 +3516,7 @@
 
 	policy_info = NULL;
 	if (seg->s_ops->getpolicy != NULL)
-		policy_info = SEGOP_GETPOLICY(seg, vaddr);
+		policy_info = segop_getpolicy(seg, vaddr);
 
 	return (policy_info);
 }
--- old/usr/src/uts/common/os/mmapobj.c	2015-11-24 09:34:46.599802983 -0500
+++ new/usr/src/uts/common/os/mmapobj.c	2015-11-24 09:34:46.603431086 -0500
@@ -1488,7 +1488,7 @@
 			seg = as_findseg(as, myaddr, 0);
 			MOBJ_STAT_ADD(exec_addr_mapped);
 			if (seg && seg->s_ops == &segdev_ops &&
-			    ((SEGOP_GETTYPE(seg, myaddr) &
+			    ((segop_gettype(seg, myaddr) &
 			    (MAP_SHARED | MAP_PRIVATE)) == 0) &&
 			    myaddr >= seg->s_base &&
 			    myaddr + mylen <=
--- old/usr/src/uts/common/os/sunddi.c	2015-11-24 09:34:46.765545971 -0500
+++ new/usr/src/uts/common/os/sunddi.c	2015-11-24 09:34:46.769445567 -0500
@@ -8378,9 +8378,9 @@
 				continue;
 			if (((seg->s_ops != &segvn_ops) &&
 			    (seg->s_ops != &segspt_shmops)) ||
-			    ((SEGOP_GETVP(seg, addr, &vp) == 0 &&
+			    ((segop_getvp(seg, addr, &vp) == 0 &&
 			    vp != NULL && vp->v_type == VREG) &&
-			    (SEGOP_GETTYPE(seg, addr) & MAP_SHARED))) {
+			    (segop_gettype(seg, addr) & MAP_SHARED))) {
 				as_pageunlock(as, p->pparray,
 				    addr, len, p->s_flags);
 				AS_LOCK_EXIT(as, &as->a_lock);
--- old/usr/src/uts/common/os/urw.c	2015-11-24 09:34:47.077160768 -0500
+++ new/usr/src/uts/common/os/urw.c	2015-11-24 09:34:47.080866316 -0500
@@ -26,8 +26,6 @@
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T */
 /*	  All Rights Reserved   */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/atomic.h>
 #include <sys/errno.h>
 #include <sys/stat.h>
@@ -72,11 +70,11 @@
 	 */
 	vattr.va_mask = AT_SIZE;
 	if (seg->s_ops == &segvn_ops &&
-	    SEGOP_GETVP(seg, addr, &vp) == 0 &&
+	    segop_getvp(seg, addr, &vp) == 0 &&
 	    vp != NULL && vp->v_type == VREG &&
 	    VOP_GETATTR(vp, &vattr, 0, CRED(), NULL) == 0) {
 		u_offset_t size = roundup(vattr.va_size, (u_offset_t)PAGESIZE);
-		u_offset_t offset = SEGOP_GETOFFSET(seg, addr);
+		u_offset_t offset = segop_getoffset(seg, addr);
 
 		if (offset >= size)
 			return (0);
@@ -96,7 +94,7 @@
 	 * type is neither MAP_SHARED nor MAP_PRIVATE.
 	 */
 	if (seg->s_ops == &segdev_ops &&
-	    ((SEGOP_GETTYPE(seg, addr) & (MAP_SHARED | MAP_PRIVATE)) == 0))
+	    ((segop_gettype(seg, addr) & (MAP_SHARED | MAP_PRIVATE)) == 0))
 		return (0);
 
 	/*
@@ -117,7 +115,7 @@
 		 * then there is backing store for the page.
 		 */
 		char incore = 0;
-		(void) SEGOP_INCORE(seg, addr, PAGESIZE, &incore);
+		(void) segop_incore(seg, addr, PAGESIZE, &incore);
 		if (incore == 0)
 			return (0);
 	}
@@ -209,12 +207,12 @@
 		AS_LOCK_EXIT(as, &as->a_lock);
 		return (ENXIO);
 	}
-	SEGOP_GETPROT(seg, page, 0, &prot);
+	(void) segop_getprot(seg, page, 0, &prot);
 
 	protchanged = 0;
 	if ((prot & prot_rw) == 0) {
 		protchanged = 1;
-		err = SEGOP_SETPROT(seg, page, PAGESIZE, prot | prot_rw);
+		err = segop_setprot(seg, page, PAGESIZE, prot | prot_rw);
 
 		if (err == IE_RETRY) {
 			protchanged = 0;
@@ -244,9 +242,9 @@
 	else
 		rw = S_READ;
 
-	if (SEGOP_FAULT(as->a_hat, seg, page, PAGESIZE, F_SOFTLOCK, rw)) {
+	if (segop_fault(as->a_hat, seg, page, PAGESIZE, F_SOFTLOCK, rw)) {
 		if (protchanged)
-			(void) SEGOP_SETPROT(seg, page, PAGESIZE, prot);
+			(void) segop_setprot(seg, page, PAGESIZE, prot);
 		AS_LOCK_EXIT(as, &as->a_lock);
 		return (ENXIO);
 	}
@@ -303,10 +301,10 @@
 	if (rw == S_READ_NOCOW)
 		rw = S_READ;
 
-	(void) SEGOP_FAULT(as->a_hat, seg, page, PAGESIZE, F_SOFTUNLOCK, rw);
+	(void) segop_fault(as->a_hat, seg, page, PAGESIZE, F_SOFTUNLOCK, rw);
 
 	if (protchanged)
-		(void) SEGOP_SETPROT(seg, page, PAGESIZE, prot);
+		(void) segop_setprot(seg, page, PAGESIZE, prot);
 
 	AS_LOCK_EXIT(as, &as->a_lock);
 
--- old/usr/src/uts/common/os/vm_subr.c	2015-11-24 09:34:47.197990196 -0500
+++ new/usr/src/uts/common/os/vm_subr.c	2015-11-24 09:34:47.201878478 -0500
@@ -378,7 +378,7 @@
 		if (seg->s_ops != &segvn_ops) {
 			AS_LOCK_EXIT(as, &as->a_lock);
 			return (ENOTSUP);
-		} else if ((SEGOP_GETTYPE(seg, uaddr) & MAP_PRIVATE) == 0) {
+		} else if ((segop_gettype(seg, uaddr) & MAP_PRIVATE) == 0) {
 			AS_LOCK_EXIT(as, &as->a_lock);
 			return (ENOTSUP);
 		}
--- old/usr/src/uts/common/os/watchpoint.c	2015-11-24 09:34:47.323640347 -0500
+++ new/usr/src/uts/common/os/watchpoint.c	2015-11-24 09:34:47.327557684 -0500
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/t_lock.h>
 #include <sys/param.h>
@@ -311,9 +309,9 @@
 		retry:
 			seg = as_segat(as, addr);
 			ASSERT(seg != NULL);
-			SEGOP_GETPROT(seg, addr, 0, &oprot);
+			(void) segop_getprot(seg, addr, 0, &oprot);
 			if (prot != oprot) {
-				err = SEGOP_SETPROT(seg, addr, PAGESIZE, prot);
+				err = segop_setprot(seg, addr, PAGESIZE, prot);
 				if (err == IE_RETRY) {
 					ASSERT(retrycnt == 0);
 					retrycnt++;
@@ -406,7 +404,7 @@
 		if ((seg = as_segat(as, vaddr)) != NULL &&
 		    !(pwp->wp_flags & WP_NOWATCH)) {
 			prot = pwp->wp_prot;
-			err = SEGOP_SETPROT(seg, vaddr, PAGESIZE, prot);
+			err = segop_setprot(seg, vaddr, PAGESIZE, prot);
 			if (err == IE_RETRY) {
 				ASSERT(retrycnt == 0);
 				retrycnt++;
--- old/usr/src/uts/common/os/zone.c	2015-11-24 09:34:47.474884616 -0500
+++ new/usr/src/uts/common/os/zone.c	2015-11-24 09:34:47.478855502 -0500
@@ -5625,7 +5625,7 @@
 		 * it.
 		 */
 		vp = NULL;
-		if (SEGOP_GETVP(seg, seg->s_base, &vp) != 0 || vp == NULL)
+		if (segop_getvp(seg, seg->s_base, &vp) != 0 || vp == NULL)
 			continue;
 		if (!vn_can_change_zones(vp)) { /* bail on first match */
 			allow = 0;
--- old/usr/src/uts/common/sys/watchpoint.h	2015-11-24 09:34:47.737044772 -0500
+++ new/usr/src/uts/common/sys/watchpoint.h	2015-11-24 09:34:47.740955489 -0500
@@ -27,8 +27,6 @@
 #ifndef _SYS_WATCHPOINT_H
 #define	_SYS_WATCHPOINT_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <vm/seg_enum.h>
 #include <sys/copyops.h>
@@ -74,7 +72,7 @@
 
 /* wp_flags */
 #define	WP_NOWATCH	0x01	/* protections temporarily restored */
-#define	WP_SETPROT	0x02	/* SEGOP_SETPROT() needed on this page */
+#define	WP_SETPROT	0x02	/* segop_setprot() needed on this page */
 
 #ifdef	_KERNEL
 
--- old/usr/src/uts/common/syscall/utssys.c	2015-11-24 09:34:47.851950748 -0500
+++ new/usr/src/uts/common/syscall/utssys.c	2015-11-24 09:34:47.855985568 -0500
@@ -29,8 +29,6 @@
 /*	  All Rights Reserved	*/
 
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/param.h>
 #include <sys/inttypes.h>
 #include <sys/types.h>
@@ -542,7 +540,7 @@
 				 * segment then skip it
 				 */
 				vp = NULL;
-				if ((SEGOP_GETVP(seg, seg->s_base, &vp)) ||
+				if ((segop_getvp(seg, seg->s_base, &vp)) ||
 				    (vp == NULL))
 					continue;
 
--- old/usr/src/uts/common/vm/seg.h	2015-11-24 09:34:48.000253069 -0500
+++ new/usr/src/uts/common/vm/seg.h	2015-11-24 09:34:48.004177700 -0500
@@ -220,7 +220,7 @@
 #define	IE_RETRY	-2	/* internal to seg layer */
 #define	IE_REATTACH	-3	/* internal to seg layer */
 
-/* Values for SEGOP_INHERIT */
+/* Values for segop_inherit */
 #define	SEGP_INH_ZERO	0x01
 
 int seg_inherit_notsup(struct seg *, caddr_t, size_t, uint_t);
--- old/usr/src/uts/common/vm/seg_dev.c	2015-11-24 09:34:48.123098228 -0500
+++ new/usr/src/uts/common/vm/seg_dev.c	2015-11-24 09:34:48.127171346 -0500
@@ -431,7 +431,7 @@
 		 * Mappings of /dev/null don't count towards the VSZ of a
 		 * process.  Mappings of /dev/null have no mapping type.
 		 */
-		if ((SEGOP_GETTYPE(seg, (seg)->s_base) & (MAP_SHARED |
+		if ((segop_gettype(seg, seg->s_base) & (MAP_SHARED |
 		    MAP_PRIVATE)) == 0) {
 			seg->s_as->a_resvsize -= seg->s_size;
 		}
--- old/usr/src/uts/common/vm/seg_dev.h	2015-11-24 09:34:48.383939337 -0500
+++ new/usr/src/uts/common/vm/seg_dev.h	2015-11-24 09:34:48.391148256 -0500
@@ -118,7 +118,8 @@
 
 #define	SEG_IS_DEVNULL_MAPPING(seg)	\
 	((seg)->s_ops == &segdev_ops &&	\
-	((SEGOP_GETTYPE(seg, (seg)->s_base) & (MAP_SHARED | MAP_PRIVATE)) == 0))
+	((segop_gettype((seg), (seg)->s_base) & \
+	    (MAP_SHARED | MAP_PRIVATE)) == 0))
 
 extern void segdev_init(void);
 
--- old/usr/src/uts/common/vm/seg_kmem.c	2015-11-24 09:34:48.568585209 -0500
+++ new/usr/src/uts/common/vm/seg_kmem.c	2015-11-24 09:34:48.572341769 -0500
@@ -457,7 +457,7 @@
 	 */
 	if (segkp_bitmap && seg == &kvseg &&
 	    BT_TEST(segkp_bitmap, btop((uintptr_t)(addr - seg->s_base))))
-		return (SEGOP_FAULT(hat, segkp, addr, size, type, rw));
+		return (segop_fault(hat, segkp, addr, size, type, rw));
 
 	if (rw != S_READ && rw != S_WRITE && rw != S_OTHER)
 		return (FC_NOSUPPORT);
@@ -519,7 +519,7 @@
 	 */
 	if (segkp_bitmap && seg == &kvseg &&
 	    BT_TEST(segkp_bitmap, btop((uintptr_t)(addr - seg->s_base))))
-		return (SEGOP_SETPROT(segkp, addr, size, prot));
+		return (segop_setprot(segkp, addr, size, prot));
 
 	if (prot == 0)
 		hat_unload(kas.a_hat, addr, size, HAT_UNLOAD);
@@ -546,7 +546,7 @@
 	 */
 	if (segkp_bitmap && seg == &kvseg &&
 	    BT_TEST(segkp_bitmap, btop((uintptr_t)(addr - seg->s_base))))
-		return (SEGOP_CHECKPROT(segkp, addr, size, prot));
+		return (segop_checkprot(segkp, addr, size, prot));
 
 	segkmem_badop();
 	return (0);
@@ -570,7 +570,7 @@
 	 */
 	if (segkp_bitmap && seg == &kvseg &&
 	    BT_TEST(segkp_bitmap, btop((uintptr_t)(addr - seg->s_base))))
-		return (SEGOP_KLUSTER(segkp, addr, delta));
+		return (segop_kluster(segkp, addr, delta));
 
 	segkmem_badop();
 	return (0);
@@ -691,7 +691,7 @@
 	 */
 	if (segkp_bitmap && seg == &kvseg &&
 	    BT_TEST(segkp_bitmap, btop((uintptr_t)(addr - seg->s_base))))
-		return (SEGOP_PAGELOCK(segkp, addr, len, ppp, type, rw));
+		return (segop_pagelock(segkp, addr, len, ppp, type, rw));
 
 	npages = btopr(len);
 	nb = sizeof (page_t *) * npages;
@@ -751,7 +751,7 @@
 	 */
 	if (segkp_bitmap && seg == &kvseg &&
 	    BT_TEST(segkp_bitmap, btop((uintptr_t)(addr - seg->s_base))))
-		return (SEGOP_GETMEMID(segkp, addr, memidp));
+		return (segop_getmemid(segkp, addr, memidp));
 
 	segkmem_badop();
 	return (0);
--- old/usr/src/uts/common/vm/seg_vn.c	2015-11-24 09:34:48.719934503 -0500
+++ new/usr/src/uts/common/vm/seg_vn.c	2015-11-24 09:34:48.724300146 -0500
@@ -6084,7 +6084,7 @@
 }
 
 /*
- * segvn_setpagesize is called via SEGOP_SETPAGESIZE from as_setpagesize,
+ * segvn_setpagesize is called via segop_setpagesize from as_setpagesize,
  * to determine if the seg is capable of mapping the requested szc.
  */
 static int
--- old/usr/src/uts/common/vm/vm_as.c	2015-11-24 09:34:49.055303043 -0500
+++ new/usr/src/uts/common/vm/vm_as.c	2015-11-24 09:34:49.059322291 -0500
@@ -716,7 +716,7 @@
 
 		next = AS_SEGNEXT(as, seg);
 retry:
-		err = SEGOP_UNMAP(seg, seg->s_base, seg->s_size);
+		err = segop_unmap(seg, seg->s_base, seg->s_size);
 		if (err == EAGAIN) {
 			mutex_enter(&as->a_contents);
 			if (as->a_callbacks) {
@@ -822,7 +822,7 @@
 			as_free(newas);
 			return (-1);
 		}
-		if ((error = SEGOP_DUP(seg, newseg)) != 0) {
+		if ((error = segop_dup(seg, newseg)) != 0) {
 			/*
 			 * We call seg_free() on the new seg
 			 * because the segment is not set up
@@ -1018,7 +1018,7 @@
 				holding_wpage = 1;
 			}
 
-			res = SEGOP_FAULT(hat, seg, raddr, ssize, type, rw);
+			res = segop_fault(hat, seg, raddr, ssize, type, rw);
 
 			/* Restore watchpoints */
 			if (holding_wpage) {
@@ -1055,7 +1055,7 @@
 				ssize = seg->s_base + seg->s_size - addrsav;
 			else
 				ssize = raddr - addrsav;
-			(void) SEGOP_FAULT(hat, seg, addrsav, ssize,
+			(void) segop_fault(hat, seg, addrsav, ssize,
 			    F_SOFTUNLOCK, S_OTHER);
 		}
 	}
@@ -1125,7 +1125,7 @@
 				break;
 			}
 		}
-		res = SEGOP_FAULTA(seg, raddr);
+		res = segop_faulta(seg, raddr);
 		if (res != 0)
 			break;
 	}
@@ -1215,7 +1215,7 @@
 		else
 			ssize = rsize;
 retry:
-		error = SEGOP_SETPROT(seg, raddr, ssize, prot);
+		error = segop_setprot(seg, raddr, ssize, prot);
 
 		if (error == IE_NOMEM) {
 			error = EAGAIN;
@@ -1366,7 +1366,7 @@
 		else
 			ssize = rsize;
 
-		error = SEGOP_CHECKPROT(seg, raddr, ssize, prot);
+		error = segop_checkprot(seg, raddr, ssize, prot);
 		if (error != 0)
 			break;
 	}
@@ -1432,7 +1432,7 @@
 			rsize = ssize;
 
 retry:
-		err = SEGOP_UNMAP(seg, raddr, ssize);
+		err = segop_unmap(seg, raddr, ssize);
 		if (err == EAGAIN) {
 			/*
 			 * Memory is currently locked.  It must be unlocked
@@ -1870,7 +1870,7 @@
 	while (seg != NULL) {
 		next_seg = AS_SEGNEXT(as, seg);
 		if (seg->s_flags & S_PURGE)
-			SEGOP_UNMAP(seg, seg->s_base, seg->s_size);
+			(void) segop_unmap(seg, seg->s_base, seg->s_size);
 		seg = next_seg;
 	}
 	AS_LOCK_EXIT(as, &as->a_lock);
@@ -2201,7 +2201,7 @@
 		 * the process was picked for swapout.
 		 */
 		if ((ov != NULL) && (ov->swapout != NULL))
-			swpcnt += SEGOP_SWAPOUT(seg);
+			swpcnt += segop_swapout(seg);
 	}
 	AS_LOCK_EXIT(as, &as->a_lock);
 	return (swpcnt);
@@ -2249,7 +2249,7 @@
 			ssize = seg->s_base + seg->s_size - raddr;
 		else
 			ssize = rsize;
-		*sizep += isize = SEGOP_INCORE(seg, raddr, ssize, vec);
+		*sizep += isize = segop_incore(seg, raddr, ssize, vec);
 		if (isize != ssize) {
 			error = -1;
 			break;
@@ -2275,7 +2275,7 @@
 		range_start = (caddr_t)((uintptr_t)addr +
 		    ptob(pos1 - position));
 
-		(void) SEGOP_LOCKOP(seg, range_start, size, attr, MC_UNLOCK,
+		(void) segop_lockop(seg, range_start, size, attr, MC_UNLOCK,
 		    (ulong_t *)NULL, (size_t)NULL);
 		pos1 = pos2;
 	}
@@ -2371,7 +2371,7 @@
 		}
 
 		for (seg = AS_SEGFIRST(as); seg; seg = AS_SEGNEXT(as, seg)) {
-			error = SEGOP_LOCKOP(seg, seg->s_base,
+			error = segop_lockop(seg, seg->s_base,
 			    seg->s_size, attr, MC_LOCK, mlock_map, pos);
 			if (error != 0)
 				break;
@@ -2400,7 +2400,7 @@
 		mutex_exit(&as->a_contents);
 
 		for (seg = AS_SEGFIRST(as); seg; seg = AS_SEGNEXT(as, seg)) {
-			error = SEGOP_LOCKOP(seg, seg->s_base,
+			error = segop_lockop(seg, seg->s_base,
 			    seg->s_size, attr, MC_UNLOCK, NULL, 0);
 			if (error != 0)
 				break;
@@ -2478,7 +2478,7 @@
 		 * objects.
 		 */
 		case MC_SYNC:
-			if (error = SEGOP_SYNC(seg, raddr, ssize,
+			if (error = segop_sync(seg, raddr, ssize,
 			    attr, (uint_t)arg)) {
 				AS_LOCK_EXIT(as, &as->a_lock);
 				return (error);
@@ -2489,7 +2489,7 @@
 		 * Lock pages in memory.
 		 */
 		case MC_LOCK:
-			if (error = SEGOP_LOCKOP(seg, raddr, ssize,
+			if (error = segop_lockop(seg, raddr, ssize,
 			    attr, func, mlock_map, pos)) {
 				as_unlockerr(as, attr, mlock_map, initraddr,
 				    initrsize - rsize + ssize);
@@ -2504,7 +2504,7 @@
 		 * Unlock mapped pages.
 		 */
 		case MC_UNLOCK:
-			(void) SEGOP_LOCKOP(seg, raddr, ssize, attr, func,
+			(void) segop_lockop(seg, raddr, ssize, attr, func,
 			    (ulong_t *)NULL, (size_t)NULL);
 			break;
 
@@ -2512,7 +2512,7 @@
 		 * Store VM advise for mapped pages in segment layer.
 		 */
 		case MC_ADVISE:
-			error = SEGOP_ADVISE(seg, raddr, ssize, (uint_t)arg);
+			error = segop_advise(seg, raddr, ssize, (uint_t)arg);
 
 			/*
 			 * Check for regular errors and special retry error
@@ -2551,7 +2551,7 @@
 			if (seg->s_ops->inherit == NULL) {
 				error = ENOTSUP;
 			} else {
-				error = SEGOP_INHERIT(seg, raddr, ssize,
+				error = segop_inherit(seg, raddr, ssize,
 				    SEGP_INH_ZERO);
 			}
 			if (error != 0) {
@@ -2666,7 +2666,7 @@
 			if (seg->s_ops == &segvn_ops) {
 				vnode_t *vp;
 
-				if (SEGOP_GETVP(seg, addr, &vp) != 0 ||
+				if (segop_getvp(seg, addr, &vp) != 0 ||
 				    vp != NULL) {
 					AS_LOCK_EXIT(as, &as->a_lock);
 					goto slow;
@@ -2704,7 +2704,7 @@
 			ssize = size;
 		}
 		pl = &plist[npages + cnt];
-		error = SEGOP_PAGELOCK(seg, addr, ssize, (page_t ***)pl,
+		error = segop_pagelock(seg, addr, ssize, (page_t ***)pl,
 		    L_PAGELOCK, rw);
 		if (error) {
 			break;
@@ -2747,7 +2747,7 @@
 		}
 		pl = &plist[npages + cnt];
 		ASSERT(*pl != NULL);
-		(void) SEGOP_PAGELOCK(seg, addr, ssize, (page_t ***)pl,
+		(void) segop_pagelock(seg, addr, ssize, (page_t ***)pl,
 		    L_PAGEUNLOCK, rw);
 	}
 
@@ -2822,7 +2822,7 @@
 	/*
 	 * try to lock pages and pass back shadow list
 	 */
-	err = SEGOP_PAGELOCK(seg, raddr, rsize, ppp, L_PAGELOCK, rw);
+	err = segop_pagelock(seg, raddr, rsize, ppp, L_PAGELOCK, rw);
 
 	TRACE_0(TR_FAC_PHYSIO, TR_PHYSIO_SEG_LOCK_END, "seg_lock_1_end");
 
@@ -2885,7 +2885,7 @@
 		}
 		pl = &plist[npages + cnt];
 		ASSERT(*pl != NULL);
-		(void) SEGOP_PAGELOCK(seg, addr, ssize, (page_t ***)pl,
+		(void) segop_pagelock(seg, addr, ssize, (page_t ***)pl,
 		    L_PAGEUNLOCK, rw);
 	}
 	ASSERT(cnt > 0);
@@ -2931,7 +2931,7 @@
 
 	ASSERT(raddr >= seg->s_base && raddr < seg->s_base + seg->s_size);
 	if (raddr + rsize <= seg->s_base + seg->s_size) {
-		SEGOP_PAGELOCK(seg, raddr, rsize, &pp, L_PAGEUNLOCK, rw);
+		(void) segop_pagelock(seg, raddr, rsize, &pp, L_PAGEUNLOCK, rw);
 	} else {
 		as_pageunlock_segs(as, seg, raddr, rsize, pp, rw);
 		return;
@@ -2986,7 +2986,7 @@
 		}
 
 retry:
-		error = SEGOP_SETPAGESIZE(seg, raddr, ssize, szc);
+		error = segop_setpagesize(seg, raddr, ssize, szc);
 
 		if (error == IE_NOMEM) {
 			error = EAGAIN;
@@ -3065,7 +3065,7 @@
 }
 
 /*
- * as_iset3_default_lpsize() just calls SEGOP_SETPAGESIZE() on all segments
+ * as_iset3_default_lpsize() just calls segop_setpagesize() on all segments
  * in its chunk where s_szc is less than the szc we want to set.
  */
 static int
@@ -3097,12 +3097,12 @@
 		}
 
 		if (szc > seg->s_szc) {
-			error = SEGOP_SETPAGESIZE(seg, raddr, ssize, szc);
+			error = segop_setpagesize(seg, raddr, ssize, szc);
 			/* Only retry on EINVAL segments that have no vnode. */
 			if (error == EINVAL) {
 				vnode_t *vp = NULL;
-				if ((SEGOP_GETTYPE(seg, raddr) & MAP_SHARED) &&
-				    (SEGOP_GETVP(seg, raddr, &vp) != 0 ||
+				if ((segop_gettype(seg, raddr) & MAP_SHARED) &&
+				    (segop_getvp(seg, raddr, &vp) != 0 ||
 				    vp == NULL)) {
 					*retry = 1;
 				} else {
@@ -3345,7 +3345,7 @@
 		return (ENOMEM);
 	}
 	if (seg->s_ops == &segvn_ops) {
-		rtype = SEGOP_GETTYPE(seg, addr);
+		rtype = segop_gettype(seg, addr);
 		rflags = rtype & (MAP_TEXT | MAP_INITDATA);
 		rtype = rtype & (MAP_SHARED | MAP_PRIVATE);
 		segvn = 1;
@@ -3363,7 +3363,7 @@
 				break;
 			}
 			if (seg->s_ops == &segvn_ops) {
-				stype = SEGOP_GETTYPE(seg, raddr);
+				stype = segop_gettype(seg, raddr);
 				sflags = stype & (MAP_TEXT | MAP_INITDATA);
 				stype &= (MAP_SHARED | MAP_PRIVATE);
 				if (segvn && (rflags != sflags ||
@@ -3477,7 +3477,7 @@
 		vaddr = pwp->wp_vaddr;
 		if (pwp->wp_oprot != 0 ||	/* already set up */
 		    (seg = as_segat(as, vaddr)) == NULL ||
-		    SEGOP_GETPROT(seg, vaddr, 0, &prot) != 0)
+		    segop_getprot(seg, vaddr, 0, &prot) != 0)
 			continue;
 
 		pwp->wp_oprot = prot;
@@ -3488,7 +3488,7 @@
 		if (pwp->wp_exec)
 			prot &= ~(PROT_READ|PROT_WRITE|PROT_EXEC);
 		if (!(pwp->wp_flags & WP_NOWATCH) && prot != pwp->wp_oprot) {
-			err = SEGOP_SETPROT(seg, vaddr, PAGESIZE, prot);
+			err = segop_setprot(seg, vaddr, PAGESIZE, prot);
 			if (err == IE_RETRY) {
 				pwp->wp_oprot = 0;
 				ASSERT(retrycnt == 0);
@@ -3527,7 +3527,7 @@
 			continue;
 
 		if ((prot = pwp->wp_oprot) != pwp->wp_prot) {
-			err = SEGOP_SETPROT(seg, vaddr, PAGESIZE, prot);
+			err = segop_setprot(seg, vaddr, PAGESIZE, prot);
 			if (err == IE_RETRY) {
 				ASSERT(retrycnt == 0);
 				retrycnt++;
@@ -3581,7 +3581,7 @@
 				panic("as_setwatchprot: no seg");
 				/*NOTREACHED*/
 			}
-			err = SEGOP_SETPROT(seg, vaddr, PAGESIZE, wprot);
+			err = segop_setprot(seg, vaddr, PAGESIZE, wprot);
 			if (err == IE_RETRY) {
 				ASSERT(retrycnt == 0);
 				retrycnt++;
@@ -3628,7 +3628,7 @@
 				seg = as_segat(as, pwp->wp_vaddr);
 				if (seg == NULL)
 					continue;
-				err = SEGOP_SETPROT(seg, pwp->wp_vaddr,
+				err = segop_setprot(seg, pwp->wp_vaddr,
 				    PAGESIZE, prot);
 				if (err == IE_RETRY) {
 					ASSERT(retrycnt == 0);
@@ -3685,7 +3685,7 @@
 		return (ENODEV);
 	}
 
-	sts = SEGOP_GETMEMID(seg, addr, memidp);
+	sts = segop_getmemid(seg, addr, memidp);
 
 	AS_LOCK_EXIT(as, &as->a_lock);
 	return (sts);
--- old/usr/src/uts/common/vm/vm_pvn.c	2015-11-24 09:34:49.267436936 -0500
+++ new/usr/src/uts/common/vm/vm_pvn.c	2015-11-24 09:34:49.271096212 -0500
@@ -140,7 +140,7 @@
 	vp_end = vp_off + vp_len;
 	ASSERT(off >= vp_off && off < vp_end);
 
-	if (isra && SEGOP_KLUSTER(seg, addr, 0))
+	if (isra && segop_kluster(seg, addr, 0))
 		return ((page_t *)NULL);	/* segment driver says no */
 
 	if ((plist = page_create_va(vp, off,
@@ -162,7 +162,7 @@
 			 * Call back to the segment driver to verify that
 			 * the klustering/read ahead operation makes sense.
 			 */
-			if (SEGOP_KLUSTER(seg, addr, -deltab))
+			if (segop_kluster(seg, addr, -deltab))
 				break;		/* page not eligible */
 			if ((pp = page_create_va(vp, off - deltab,
 			    PAGESIZE, PG_EXCL, seg, addr - deltab))
@@ -182,7 +182,7 @@
 			 * Call back to the segment driver to verify that
 			 * the klustering/read ahead operation makes sense.
 			 */
-			if (SEGOP_KLUSTER(seg, addr, deltaf))
+			if (segop_kluster(seg, addr, deltaf))
 				break;		/* page not file extension */
 			if ((pp = page_create_va(vp, off + deltaf,
 			    PAGESIZE, PG_EXCL, seg, addr + deltaf))
--- old/usr/src/uts/common/vm/vm_seg.c	2015-11-24 09:34:49.404887727 -0500
+++ new/usr/src/uts/common/vm/vm_seg.c	2015-11-24 09:34:49.408700332 -0500
@@ -1637,7 +1637,7 @@
 /*
  * Unmap a segment and free it from its associated address space.
  * This should be called by anybody who's finished with a whole segment's
- * mapping.  Just calls SEGOP_UNMAP() on the whole mapping .  It is the
+ * mapping.  Just calls segop_unmap() on the whole mapping .  It is the
  * responsibility of the segment driver to unlink the the segment
  * from the address space, and to free public and private data structures
  * associated with the segment.  (This is typically done by a call to
@@ -1657,10 +1657,10 @@
 
 	/* Unmap the whole mapping */
 #ifdef DEBUG
-	ret = SEGOP_UNMAP(seg, seg->s_base, seg->s_size);
+	ret = segop_unmap(seg, seg->s_base, seg->s_size);
 	ASSERT(ret == 0);
 #else
-	SEGOP_UNMAP(seg, seg->s_base, seg->s_size);
+	(void) segop_unmap(seg, seg->s_base, seg->s_size);
 #endif /* DEBUG */
 }
 
@@ -1686,7 +1686,7 @@
 	 * then segment driver is not attached yet.
 	 */
 	if (seg->s_data != NULL)
-		SEGOP_FREE(seg);
+		segop_free(seg);
 
 	mutex_destroy(&seg->s_pmtx);
 	ASSERT(seg->s_phead.p_lnext == &seg->s_phead);
@@ -1855,7 +1855,7 @@
 }
 
 /*
- * General not supported function for SEGOP_INHERIT
+ * General not supported function for segop_inherit
  */
 /* ARGSUSED */
 int
